"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useReply = exports.ReplyProvider = void 0;
const react_1 = __importStar(require("react"));
const ReplyContext = (0, react_1.createContext)({});
const ReplyProvider = ({ children }) => {
    const [replyMessage, setReplyMessage] = (0, react_1.useState)();
    const hideReply = (0, react_1.useCallback)(() => setReplyMessage(undefined), [setReplyMessage]);
    const showReply = (0, react_1.useCallback)((reply) => {
        setReplyMessage(reply);
    }, [setReplyMessage]);
    return (react_1.default.createElement(ReplyContext.Provider, { value: {
            replyMessage,
            showReply,
            hideReply,
        } }, children));
};
exports.ReplyProvider = ReplyProvider;
const useReply = () => {
    const context = (0, react_1.useContext)(ReplyContext);
    if (context === undefined) {
        throw new Error("useReply must be used within a ReplyProvider");
    }
    return context;
};
exports.useReply = useReply;
//# sourceMappingURL=reply.js.map