"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useChatOwnedAmount = void 0;
const react_1 = require("@strata-foundation/react");
const _1 = require("./");
function max(one, two) {
    const oneDefined = typeof one !== "undefined";
    const twoDefined = typeof two !== "undefined";
    if (oneDefined) {
        if (twoDefined) {
            return Math.max(one, two);
        }
        else {
            return one;
        }
    }
    else if (twoDefined) {
        return two;
    }
}
function useChatOwnedAmount(wallet, chatKey) {
    const { info: chatPermissions } = (0, _1.useChatPermissionsFromChat)(chatKey);
    const { amount: ownedAmountNft, loading } = (0, react_1.useCollectionOwnedAmount)(chatPermissions === null || chatPermissions === void 0 ? void 0 : chatPermissions.postPermissionKey);
    const ownedAmountToken = (0, react_1.useUserOwnedAmount)(wallet, chatPermissions === null || chatPermissions === void 0 ? void 0 : chatPermissions.postPermissionKey);
    return {
        amount: Object.keys((chatPermissions === null || chatPermissions === void 0 ? void 0 : chatPermissions.readPermissionType) || {})[0] == "nft"
            ? ownedAmountNft
            : ownedAmountToken,
        loading: loading,
    };
}
exports.useChatOwnedAmount = useChatOwnedAmount;
//# sourceMappingURL=useChatOwnedAmount.js.map